Take the 2-minute tour ×
Database Administrators Stack Exchange is a question and answer site for database professionals who wish to improve their database skills and learn from others in the community. It's 100% free, no registration required.

I'm using debian squeeze package, it says function does not exist?

share|improve this question
add comment

1 Answer 1

You have to install the additional module fuzzystrmatch.
In PostgreSQL 9.1 or later you can simply use CREATE EXTENSION. Run once per database:

CREATE EXTENSION fuzzystrmatch;

In PostgreSQL 8.4 on Debian Squeeze, you would run (as user postgres) the SQL script provided by the package postgresql-contrib-8.4 (install that if you haven't already):

psql mydb -f /usr/share/postgresql/8.4/contrib/fuzzystrmatch.sql
share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.